name: ag
version: "0.19.2"
summary: The Silver Searcher
description: Like grep, but faster
confinement: strict

apps:
  ag-mcphail:
    command: ag
    plugs:
      - home
parts:
  silversearcher:
    plugin: autotools
    source: https://github.com/mcphail/the_silver_searcher.git
    build-packages:
      - libpcre3-dev
      - zlib1g-dev
      - liblzma-dev
      - bash-completion
    stage-packages:
      - git-core
